## r-cran-msm 0.9.7

=== DESCRIPTION ===
Package: msm
Version: 0.9.7
Date: 2010-05-18
Title: Multi-state Markov and hidden Markov models in continuous time
Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Description: Functions for fitting general continuous-time Markov and
        hidden Markov multi-state models to longitudinal data.  Both
        Markov transition rates and the hidden Markov output process
        can be modelled in terms of covariates.  A variety of
        observation schemes are supported, including processes observed
        at arbitrary times, completely-observed processes, and censored
        states.
License: GPL (>= 2)
Imports: survival,mvtnorm
Packaged: 2010-05-18 14:22:01 UTC; chris
Repository: CRAN
Date/Publication: 2010-05-18 15:42:49

## r-cran-msm 1.0

=== debian/changelog ===
r-cran-msm (1.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1
  * debian/rules: use $(package) variable
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2010 09:41:05 +0100

r-cran-msm (0.9.7-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 20 May 2010 15:36:53 +0200

r-cran-msm (0.9.6-1) unstable; urgency=low

  * New upstream version
  * Incremented Standards-Version to reflect conformance with Policy 3.8.4
    (debian/control, no changes needed).
  * Depend on a version equal or superior than the R version used to build
    the package, by adding a R:Depends substvar (debian/control, debian/rules).

 -- Andreas Tille <tille@debian.org>  Tue, 09 Mar 2010 22:27:37 +0100

r-cran-msm (0.9.5-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Dec 2009 19:16:01 +0100

r-cran-msm (0.9.4-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2009 09:46:24 +0100

r-cran-msm (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Fixed cut-n-pasto in debian/copyright (package name)
  * Standards-Version: 3.8.3 (no changes needed)
  * Change section to gnu-r

 -- Andreas Tille <tille@debian.org>  Fri, 28 Aug 2009 08:50:50 +0200

r-cran-msm (0.8.2-1) unstable; urgency=low

  * Initial release (Closes: #512405).

 -- Andreas Tille <tille@debian.org>  Wed, 15 Apr 2009 15:10:36 +0200

=== debian/control ===
Source: r-cran-msm
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0), cdbs, r-base-dev, r-cran-mvtnorm, r-cran-survival
Standards-Version: 3.9.1
Homepage: http://cran.r-project.org/web/packages/msm/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-msm/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/r-cran-msm/trunk/

Package: r-cran-msm
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, r-cran-mvtnorm, r-cran-survival
Description: GNU R Multi-state Markov and hidden Markov models in continuous time
 Functions for fitting general continuous-time Markov and hidden Markov
 multi-state models to longitudinal data. Both Markov transition rates and the
 hidden Markov output process can be modelled in terms of covariates. A variety
 of observation schemes are supported, including processes observed at arbitrary
 times, completely-observed processes, and censored states.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-msm package
# Copyright 2009 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

clean::
	echo "Clean up for package $(package)"
	rm -f src/msm.so

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/msm/NEWS

	# Require a number equal or superior than the R version the package was built with.
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/'))" >> debian/$(package).substvars

## r-cran-msm 1.1

=== DESCRIPTION ===
Package: msm
Version: 1.1
Date: 2011-09-09
Title: Multi-state Markov and hidden Markov models in continuous time
Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Description: Functions for fitting general continuous-time Markov and
        hidden Markov multi-state models to longitudinal data.  Both
        Markov transition rates and the hidden Markov output process
        can be modelled in terms of covariates, which may be constant
        or piecewise-constant in time.  A variety of observation
        schemes are supported, including processes observed at
        arbitrary times (panel data), continuously-observed processes,
        and censored states.
License: GPL (>= 2)
Imports: survival,mvtnorm
Suggests: mstate,diagram
Packaged: 2011-09-09 15:33:46 UTC; chris
Repository: CRAN
Date/Publication: 2011-09-10 06:17:30

=== debian/changelog ===
r-cran-msm (1.1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Build-Depends: r-base-dev (>= 2.14.2~20120222)
    - Fixed Vcs fields
  * debian/rules:
    - Remove R:Depends substitution variable which is now
      included in /usr/share/R/debian/r-cran.mk
  * debhelper compat level 8 (control+compat)
  * debian/README.Debian is now README.test, deleted other redundant
    information which seems to be irrelevant for the user
  * debian/docs: Install README.test
  * debian/upstream: obtained citation data from inst/CITATION
  * debian/copyright: Rewritten to match DEP5 and verified using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2012 16:37:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0), cdbs, r-base-dev, r-cran-mvtnorm, r-cran-survival
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.14.2~20120222), r-cran-mvtnorm, r-cran-survival
+Standards-Version: 3.9.3
 Homepage: http://cran.r-project.org/web/packages/msm/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-msm/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/r-cran-msm/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-msm/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/R/r-cran-msm/trunk/
 
 Package: r-cran-msm
 Architecture: any

## r-cran-msm 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: msm
-Version: 1.1
-Date: 2011-09-09
+Version: 1.1.4
+Date: 2012-12-10
 Title: Multi-state Markov and hidden Markov models in continuous time
 Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
 Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
@@ -15,6 +15,6 @@
 License: GPL (>= 2)
 Imports: survival,mvtnorm
 Suggests: mstate,diagram
-Packaged: 2011-09-09 15:33:46 UTC; chris
+Packaged: 2012-12-10 15:44:26 UTC; chris
 Repository: CRAN
-Date/Publication: 2011-09-10 06:17:30
+Date/Publication: 2012-12-10 17:10:20

=== debian/changelog ===
r-cran-msm (1.1.4-1) unstable; urgency=low

  * Upgraded to current upstream version 1.1.4
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Apr 2013 21:08:44 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.14.2~20120222), r-cran-mvtnorm, r-cran-survival
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 3.0.0), r-cran-mvtnorm, r-cran-survival
+Standards-Version: 3.9.4
 Homepage: http://cran.r-project.org/web/packages/msm/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-msm/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/R/r-cran-msm/trunk/

## r-cran-msm 1.3

=== debian/changelog ===
r-cran-msm (1.3-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - Build-Depends: r-cran-expm
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 21 May 2014 13:01:34 +0200

=== debian/control ===
Source: r-cran-msm
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0),
               r-cran-expm,
               r-cran-mvtnorm,
               r-cran-survival
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-msm/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-msm/trunk/
Homepage: http://cran.r-project.org/web/packages/msm/

Package: r-cran-msm
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-expm,
         r-cran-mvtnorm,
         r-cran-survival
Description: GNU R Multi-state Markov and hidden Markov models in continuous time
 Functions for fitting general continuous-time Markov and hidden Markov
 multi-state models to longitudinal data. Both Markov transition rates and the
 hidden Markov output process can be modelled in terms of covariates. A variety
 of observation schemes are supported, including processes observed at arbitrary
 times, completely-observed processes, and censored states.

## r-cran-msm 1.4

=== debian/changelog ===
r-cran-msm (1.4-2) unstable; urgency=medium

  * Fix autopkgtest dependencies (thanks for the patch to Lucas Kanashiro
    <kanashiro.duarte@gmail.com>)
    Closes: #759418

 -- Andreas Tille <tille@debian.org>  Wed, 27 Aug 2014 16:31:47 +0200

r-cran-msm (1.4-1) unstable; urgency=medium

  * New upstream version
  * Adapt autopkgtest script
  * Add r-cran-numderiv to Recommends and test Depends

 -- Andreas Tille <tille@debian.org>  Fri, 08 Aug 2014 18:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
@@ -22,6 +22,7 @@
          r-cran-expm,
          r-cran-mvtnorm,
          r-cran-survival
+Recommends: r-cran-numderiv
 Description: GNU R Multi-state Markov and hidden Markov models in continuous time
  Functions for fitting general continuous-time Markov and hidden Markov
  multi-state models to longitudinal data. Both Markov transition rates and the

## r-cran-msm 1.5

=== debian/changelog ===
r-cran-msm (1.5-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 21 Apr 2015 17:26:16 +0200

## r-cran-msm 1.6

=== DESCRIPTION ===
Package: msm
Version: 1.6
Date: 2015-11-17
Title: Multi-State Markov and Hidden Markov Models in Continuous Time
Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Description: Functions for fitting continuous-time Markov and hidden
 Markov multi-state models to longitudinal data.  Designed for
 processes observed at arbitrary times in continuous time (panel data)
 but some other observation schemes are supported. Both Markov
 transition rates and the hidden Markov output process can be modelled
 in terms of covariates, which may be constant or piecewise-constant
 in time.
License: GPL (>= 2)
Imports: survival,mvtnorm,expm
Suggests: mstate,minqa,doParallel,foreach,numDeriv,testthat,flexsurv
LazyData: yes
NeedsCompilation: yes
Packaged: 2015-11-17 15:12:49 UTC; chris
Repository: CRAN
Date/Publication: 2015-11-18 09:31:32

=== src/doc/Makefile ===
### This directory contains the sources for the manual "Multi-state
### modelling with R: the msm package" which is included in the source
### package as inst/doc/msm-manual.pdf, and in the installed package as
### doc/msm-manual.pdf.
### 
### To build msm-manual.pdf, first the msm package must be
### installed. Then type
### 
### make 
###
### Or equivalently, open R in this directory and run
### 
### Sweave("msm-manual.Rnw")
### 
### Exit from R.  The resulting LaTeX file, msm-manual.tex, can be
### compiled to PDF with the shell command 
### 
### texi2dvi msm-manual.tex 

LATEX=msm-manual.tex
PDF=msm-manual.pdf

all: $(LATEX) $(PDF)

$(LATEX):
	R --vanilla --slave -e Sweave\(\'msm-manual.Rnw\'\)

$(PDF):
	texi2dvi msm-manual.tex 

clean:
	rm -f msm-manual*.pdf msm-manual.tex msm-manual*.eps *.dvi *.toc *.aux *.bbl *.blg *.log *~ Rplots.pdf

=== debian/changelog ===
r-cran-msm (1.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2015 18:07:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-expm,
                r-cran-mvtnorm,
                r-cran-survival
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-msm/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-msm/trunk/
 Homepage: http://cran.r-project.org/web/packages/msm/

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-msm package
# Copyright 2009 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

clean::
	rm -f src/msm.so

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/msm/NEWS

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/msm_([-\d.]*)\.tar\.gz

## r-cran-msm 1.6.1

=== debian/changelog ===
r-cran-msm (1.6.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jun 2016 11:40:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                r-cran-expm,
                r-cran-mvtnorm,
                r-cran-survival
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-msm/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-msm/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-msm/trunk/
 Homepage: http://cran.r-project.org/web/packages/msm/

## r-cran-msm 1.6.4

=== debian/changelog ===
r-cran-msm (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Move packaging from SVN to Git.
  * Bump Standards-Version to 4.1.1.
  * d/watch: bump to file format version 4, use secure URL.
  * Remove unneeded Testsuite header.
  * Add README.source documenting *.rda files.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 16 Nov 2017 17:29:51 +0100

r-cran-msm (1.6.4-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2016 21:21:01 +0100

=== debian/control ===
Source: r-cran-msm
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev (>= 3.0.0),
               r-cran-expm,
               r-cran-mvtnorm,
               r-cran-survival
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-msm.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-msm.git
Homepage: https://cran.r-project.org/package=msm

Package: r-cran-msm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Multi-state Markov and hidden Markov models in continuous time
 Functions for fitting general continuous-time Markov and hidden Markov
 multi-state models to longitudinal data. Both Markov transition rates and the
 hidden Markov output process can be modelled in terms of covariates. A variety
 of observation schemes are supported, including processes observed at arbitrary
 times, completely-observed processes, and censored states.

## r-cran-msm 1.6.5

=== DESCRIPTION ===
Package: msm
Version: 1.6.5
Date: 2017-12-05
Title: Multi-State Markov and Hidden Markov Models in Continuous Time
Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Description: Functions for fitting continuous-time Markov and hidden
    Markov multi-state models to longitudinal data.  Designed for
    processes observed at arbitrary times in continuous time (panel data)
    but some other observation schemes are supported. Both Markov
    transition rates and the hidden Markov output process can be modelled
    in terms of covariates, which may be constant or piecewise-constant
    in time.
License: GPL (>= 2)
Imports: survival,mvtnorm,expm
Suggests: mstate,minqa,doParallel,foreach,numDeriv,testthat,flexsurv
URL: https://github.com/chjackson/msm
BugReports: https://github.com/chjackson/msm/issues
LazyData: yes
NeedsCompilation: yes
Packaged: 2017-12-04 15:31:35 UTC; chris
Repository: CRAN
Date/Publication: 2017-12-05 13:31:12 UTC

=== debian/changelog ===
r-cran-msm (1.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.5
  * Bump to debhelper compat level 11.
  * Bump to Standards-Version 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Jan 2018 18:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-r,
                r-base-dev (>= 3.0.0),
                r-cran-expm,
                r-cran-mvtnorm,
                r-cran-survival
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-msm.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-msm.git
 Homepage: https://cran.r-project.org/package=msm

## r-cran-msm 1.6.6

=== debian/changelog ===
r-cran-msm (1.6.6-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Drop unnecessary test Depends on @builddeps@

  [ Andreas Tille ]
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 08:56:26 +0200

r-cran-msm (1.6.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 17:20:02 +0100

=== debian/control ===
Source: r-cran-msm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-mvtnorm,
               r-cran-expm
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
Homepage: https://cran.r-project.org/package=msm

Package: r-cran-msm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Multi-state Markov and hidden Markov models in continuous time
 Functions for fitting general continuous-time Markov and hidden Markov
 multi-state models to longitudinal data. Both Markov transition rates and the
 hidden Markov output process can be modelled in terms of covariates. A variety
 of observation schemes are supported, including processes observed at arbitrary
 times, completely-observed processes, and censored states.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-numderiv, r-cran-testthat
Restrictions: allow-stderr

## r-cran-msm 1.6.7

=== debian/changelog ===
r-cran-msm (1.6.7-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 11:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-mvtnorm,
                r-cran-expm
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
 Homepage: https://cran.r-project.org/package=msm

## r-cran-msm 1.6.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: msm
-Version: 1.6.5
-Date: 2017-12-05
+Version: 1.6.8
+Date: 2019-12-16
 Title: Multi-State Markov and Hidden Markov Models in Continuous Time
 Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
 Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
@@ -18,6 +18,6 @@
 BugReports: https://github.com/chjackson/msm/issues
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2017-12-04 15:31:35 UTC; chris
+Packaged: 2019-12-16 10:40:33 UTC; chris
 Repository: CRAN
-Date/Publication: 2017-12-05 13:31:12 UTC
+Date/Publication: 2019-12-16 15:30:02 UTC

=== debian/changelog ===
r-cran-msm (1.6.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 14:28:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-mvtnorm,
                r-cran-expm
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
 Homepage: https://cran.r-project.org/package=msm

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name NEWS -exec chmod -x \{\} \;
	find debian -name CITATION -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/msm_([-\d.]*)\.tar\.gz

## r-cran-msm 1.6.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: msm
-Version: 1.6.8
-Date: 2019-12-16
+Version: 1.6.9
+Date: 2021-09-26
 Title: Multi-State Markov and Hidden Markov Models in Continuous Time
 Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
 Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
@@ -18,6 +18,6 @@
 BugReports: https://github.com/chjackson/msm/issues
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2019-12-16 10:40:33 UTC; chris
+Packaged: 2021-09-27 08:24:28 UTC; Chris
 Repository: CRAN
-Date/Publication: 2019-12-16 15:30:02 UTC
+Date/Publication: 2021-09-27 09:50:02 UTC

=== debian/changelog ===
r-cran-msm (1.6.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-mvtnorm,
                r-cran-expm
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
 Homepage: https://cran.r-project.org/package=msm
+Rules-Requires-Root: no
 
 Package: r-cran-msm
 Architecture: any

## r-cran-msm 1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: msm
-Version: 1.6.9
-Date: 2021-09-26
+Version: 1.7
+Date: 2022-11-27
 Title: Multi-State Markov and Hidden Markov Models in Continuous Time
 Author: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
 Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
@@ -17,7 +17,9 @@
 URL: https://github.com/chjackson/msm
 BugReports: https://github.com/chjackson/msm/issues
 LazyData: yes
+RoxygenNote: 7.2.2
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-09-27 08:24:28 UTC; Chris
+Packaged: 2022-11-27 13:40:10 UTC; Chris
 Repository: CRAN
-Date/Publication: 2021-09-27 09:50:02 UTC
+Date/Publication: 2022-11-28 17:30:02 UTC

=== debian/changelog ===
r-cran-msm (1.7-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2022 12:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-msm
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
+Homepage: https://cran.r-project.org/package=msm
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-mvtnorm,
                r-cran-expm
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
-Homepage: https://cran.r-project.org/package=msm
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-msm
 Architecture: any

## r-cran-msm 1.7.1

=== DESCRIPTION ===
Package: msm
Version: 1.7.1
Date: 2023-11-23
Title: Multi-State Markov and Hidden Markov Models in Continuous Time
Authors@R: c(person("Christopher", "Jackson",
         email="chris.jackson@mrc-bsu.cam.ac.uk",
         role=c("aut", "cre")))
Description: Functions for fitting continuous-time Markov and hidden
    Markov multi-state models to longitudinal data.  Designed for
    processes observed at arbitrary times in continuous time (panel data)
    but some other observation schemes are supported. Both Markov
    transition rates and the hidden Markov output process can be modelled
    in terms of covariates, which may be constant or piecewise-constant
    in time.
License: GPL (>= 2)
Imports: survival,mvtnorm,expm
Suggests: mstate, minqa, doParallel, foreach, numDeriv, testthat,
        flexsurv, covr
URL: https://github.com/chjackson/msm, https://chjackson.github.io/msm/
BugReports: https://github.com/chjackson/msm/issues
LazyData: yes
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-11-23 20:12:56 UTC; Chris
Author: Christopher Jackson [aut, cre]
Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
Repository: CRAN
Date/Publication: 2023-11-23 21:10:02 UTC

=== debian/changelog ===
r-cran-msm (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Nov 2023 16:13:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
 Homepage: https://cran.r-project.org/package=msm
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-msm 1.8

=== debian/changelog ===
r-cran-msm (1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Sep 2024 08:36:53 +0900

## r-cran-msm 1.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: msm
-Version: 1.7.1
-Date: 2023-11-23
+Version: 1.8.2
+Date: 2024-11-07
 Title: Multi-State Markov and Hidden Markov Models in Continuous Time
 Authors@R: c(person("Christopher", "Jackson",
          email="chris.jackson@mrc-bsu.cam.ac.uk",
@@ -13,17 +13,17 @@
     in terms of covariates, which may be constant or piecewise-constant
     in time.
 License: GPL (>= 2)
-Imports: survival,mvtnorm,expm
+Imports: survival, mvtnorm, expm, generics, tibble
 Suggests: mstate, minqa, doParallel, foreach, numDeriv, testthat,
         flexsurv, covr
 URL: https://github.com/chjackson/msm, https://chjackson.github.io/msm/
 BugReports: https://github.com/chjackson/msm/issues
 LazyData: yes
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-11-23 20:12:56 UTC; Chris
+Packaged: 2024-11-07 14:19:05 UTC; Chris J
 Author: Christopher Jackson [aut, cre]
 Maintainer: Christopher Jackson <chris.jackson@mrc-bsu.cam.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-11-23 21:10:02 UTC
+Date/Publication: 2024-11-07 21:10:01 UTC

=== debian/changelog ===
r-cran-msm (1.8.2-2) unstable; urgency=medium

  * Team upload.
  * Packaging update (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Mar 2026 10:52:20 +0900

r-cran-msm (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 15:49:43 +0900

=== debian/control ===
Source: r-cran-msm
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-survival,
 r-cran-mvtnorm,
 r-cran-expm,
 r-cran-generics,
 r-cran-tibble,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-msm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-msm.git
Homepage: https://cran.r-project.org/package=msm
Rules-Requires-Root: no

Package: r-cran-msm
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Multi-State Markov and Hidden Markov Models in Continuous Time
 Functions for fitting continuous-time Markov and hidden Markov multi-state
 models to longitudinal data. Designed for processes observed at arbitrary
 times in continuous time (panel data) but some other observation schemes
 are supported. Both Markov transition rates and the hidden Markov output
 process can be modelled in terms of covariates, which may be constant or
 piecewise-constant in time.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-minqa,
 r-cran-doparallel,
 r-cran-foreach,
 r-cran-numderiv,
 r-cran-testthat,
 r-cran-covr,
